# Generated by Django 2.0.5 on 2020-06-29 03:46

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0085_auto_20200601_0747'),
        ('core', '0064_auto_20200605_1059'),
    ]

    operations = [
        migrations.CreateModel(
            name='ManualDeviceTypeMapping',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(max_length=100)),
                ('model_ids', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), size=None)),
                ('non_cisco', models.BooleanField(default=False)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='manual_device_types', to='accounts.Provider')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='manualdevicetypemapping',
            unique_together={('provider', 'type')},
        ),
    ]
